package com.gic.haoban.manage.web.qo.moment;

import com.gic.api.base.commons.BasePageInfo;
import java.util.Date;

public class PlanClerkListQO extends BasePageInfo {

    private Long planId ;
    /**
     * 成员名称
     */
    private String staffName ;

    /**
     * 导购条件
     */
    private String clerkParams ;

    /**
     *  0已失效 1待完成 2已完成
     */
    private Integer sendStatus ;

    private Date startTime ;

    private Date endTime ;

    /**
     * 排序字段 完成率:exec_rate 点赞：like_count 评论：comment_count
     */
    private String sortColumn ;

    /**
     * desc / asc
     */
    private String sortType ;

    /**
     * 0待下发 1已下发 2下发失败
     */
    private String statusFlag ;

    /**
     * 门店分组
     */
    private String storeGroupIds ;

    public String getStoreGroupIds() {
        return storeGroupIds;
    }

    public void setStoreGroupIds(String storeGroupIds) {
        this.storeGroupIds = storeGroupIds;
    }

    public String getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(String statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getSortColumn() {
        return sortColumn;
    }

    public void setSortColumn(String sortColumn) {
        this.sortColumn = sortColumn;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getClerkParams() {
        return clerkParams;
    }

    public void setClerkParams(String clerkParams) {
        this.clerkParams = clerkParams;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
